Browse code

Add merge script, and copyright file.

Török Edvin authored on 2009/08/24 22:38:44
Showing 2 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,72 @@
0
+The files in libclamav/llvm/llvm are from the LLVM project, original license is
1
+in libclamav/llvm/llvm/LICENSE.TXT:
2
+
3
+==============================================================================
4
+LLVM Release License
5
+==============================================================================
6
+University of Illinois/NCSA
7
+Open Source License
8
+
9
+Copyright (c) 2003-2009 University of Illinois at Urbana-Champaign.
10
+All rights reserved.
11
+
12
+Developed by:
13
+
14
+    LLVM Team
15
+
16
+    University of Illinois at Urbana-Champaign
17
+
18
+    http://llvm.org
19
+
20
+Permission is hereby granted, free of charge, to any person obtaining a copy of
21
+this software and associated documentation files (the "Software"), to deal with
22
+the Software without restriction, including without limitation the rights to
23
+use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
24
+of the Software, and to permit persons to whom the Software is furnished to do
25
+so, subject to the following conditions:
26
+
27
+    * Redistributions of source code must retain the above copyright notice,
28
+      this list of conditions and the following disclaimers.
29
+
30
+    * Redistributions in binary form must reproduce the above copyright notice,
31
+      this list of conditions and the following disclaimers in the
32
+      documentation and/or other materials provided with the distribution.
33
+
34
+    * Neither the names of the LLVM Team, University of Illinois at
35
+      Urbana-Champaign, nor the names of its contributors may be used to
36
+      endorse or promote products derived from this Software without specific
37
+      prior written permission.
38
+
39
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
40
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
41
+FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
42
+CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
43
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
44
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE
45
+SOFTWARE.
46
+
47
+==============================================================================
48
+Copyrights and Licenses for Third Party Software Distributed with LLVM:
49
+==============================================================================
50
+The LLVM software contains code written by third parties.  Such software will
51
+have its own individual LICENSE.TXT file in the directory in which it appears.
52
+This file will describe the copyrights, license, and restrictions which apply
53
+to that code.
54
+
55
+The disclaimer of warranty in the University of Illinois Open Source License
56
+applies to all code in the LLVM Distribution, and nothing in any of the
57
+other licenses gives permission to use the names of the LLVM Team or the
58
+University of Illinois to endorse or promote products derived from this
59
+Software.
60
+
61
+The following pieces of software have additional or alternate copyrights,
62
+licenses, and/or restrictions:
63
+
64
+Program             Directory
65
+-------             ---------
66
+Autoconf            llvm/autoconf
67
+                    llvm/projects/ModuleMaker/autoconf
68
+                    llvm/projects/sample/autoconf
69
+CellSPU backend     llvm/lib/Target/CellSPU/README.txt
70
+Google Test         llvm/utils/unittest/googletest
71
+
0 72
new file mode 100755
... ...
@@ -0,0 +1,25 @@
0
+#!/bin/sh
1
+# Merge upstream LLVM from git-svn mirror
2
+set -e
3
+rm -f .git/info/grafts
4
+touch .git/info/grafts
5
+echo "Creating grafts for llvm-upstream"
6
+
7
+REPONAME=llvm
8
+REFPFX=refs/tags/merge-$REPONAME-
9
+UPSTREAM=$REPONAME-upstream/master
10
+git for-each-ref $REFPFX*  --format='%(refname)' | while read tag_ref
11
+do
12
+	tag_svn_ref=`echo $tag_ref|sed -e s\|$REFPFX\|\|`
13
+	upstream_ref=`git log $UPSTREAM -1 --grep=trunk@$tag_svn_ref --format=format:%H`
14
+	local_ref=`git rev-parse $tag_ref`
15
+	local_ref=`git rev-parse $tag_ref`
16
+	local_parent_ref=`git rev-parse $tag_ref^`
17
+	echo "$local_ref $local_parent_ref $upstream_ref" >>.git/info/grafts
18
+done
19
+echo "Merging llvm-upstream"
20
+MERGEREV=`git log $UPSTREAM -1 |grep /trunk@|sed -s 's/.*@\([0-9]*\).*/\1/'`
21
+git merge -s subtree --squash llvm-upstream/master && git commit || {
22
+echo "Merge failed: resolve conflicts and run: git tag merge-llvm-$MERGEREV && rm .git/info/grafts"; exit 1;}
23
+git tag merge-llvm-$MERGEREV
24
+rm .git/info/grafts